Bug 977921 - RPMlint failure for hardcoded /usr/lib references
RPMlint failure for hardcoded /usr/lib references
Status: CLOSED ERRATA
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Troy Dawson
libra bugs
:
Depends On:
Blocks: 977922
  Show dependency treegraph
 
Reported: 2013-06-25 11:13 EDT by Jason DeTiberus
Modified: 2015-05-14 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 977922 (view as bug list)
Environment:
Last Closed: 2013-09-10 14:45:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason DeTiberus 2013-06-25 11:13:59 EDT
Description of problem:
rubygem-openshift-origin-node has rpmlint failures for hardcoded /usr/lib references, failures listed in Additional Info

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. run rpmlint on the rubygem-openshift-origin-node specfile
2. see Errors for hardcoded /usr/lib references

Actual results:
rpmlint errors for hardcoded /usr/lib references

Expected results:
No rpmlint errors.

Additional info:
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/cartridge_sdk') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/cartridge_sdk/bash') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0744,-,-) /usr/lib/openshift/cartridge_sdk/bash/*') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/cartridge_sdk/ruby') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0744,-,-) /usr/lib/openshift/cartridge_sdk/ruby/*') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%dir %attr(0755,-,-) /usr/lib/openshift/node/jobs') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%config(noreplace) %attr(0644,-,-) /usr/lib/openshift/node/jobs/1minutely') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/node/jobs/openshift-origin-cron-minutely') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/node/jobs/openshift-origin-cron-hourly') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/node/jobs/openshift-origin-cron-daily') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/node/jobs/openshift-origin-cron-weekly') present in the specfile
VERIFY	 	rubygem-openshift-origin-node	 	Hardcoded /usr/lib reference ('%attr(0755,-,-) /usr/lib/openshift/node/jobs/openshift-origin-cron-monthly') present in the specfile
Comment 1 Troy Dawson 2013-09-09 15:49:39 EDT
Should be fixed with this pull request
https://github.com/openshift/origin-server/pull/3590
Comment 2 Troy Dawson 2013-09-10 14:45:09 EDT
Fixed in version
rubygem-openshift-origin-node-1.14.5-1

Note You need to log in before you can comment on or make changes to this bug.